<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : XslUpdateJobLog.xsl
    Created on : 13. August 2008, 08:39
    Author     : pdbsreck
    Description: stylesheed for xml update job log
    Version    : first creation of file
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>ServerView Agent Online Update Log</title>
            </head>
             <body>
            <h1>Update log</h1>
			<table cellspacing="10">
			<tr><td bgcolor="#eaeaea"><b><i>Server:</i></b></td><td>
            <xsl:value-of select="UpdateJobLog/ServerName"/>
            </td></tr><tr><td bgcolor="#eaeaea"><b><i>IP Address:</i></b></td><td>
            <xsl:value-of select="UpdateJobLog/ServerIPAddress"/>
            </td></tr>
            </table>
            <table cellpadding="15" align="center">
            <tr><td>
            <table cellspacing="3"><tr><td bgcolor="#eaeaea"><b><i>job</i></b></td><td>
            	<xsl:value-of select="UpdateJobLog/Job/JobName"/>
            	</td></tr>
            </table></td>
        <!--   
	    <td><table cellspacing="3"><tr><td bgcolor="#eaeaea"><b><i>id</i></b></td><td>
            	<xsl:value-of select="UpdateJobLog/Job/JobId"/>  
	    </td></tr></table></td>
	-->
	        <xsl:if test = "string-length(UpdateJobLog/Job/Error) &gt; 0">
				<td><table cellspacing="3"><tr><td bgcolor="#eaeaea"><b><i>error</i></b></td><td>
   	        	<xsl:value-of select="UpdateJobLog/Job/Error"/>
   	        	</td></tr></table></td>
	       	</xsl:if>
	        <xsl:if test = "string-length(UpdateJobLog/Job/JobDiagnostics) &gt; 0">
				<td>
   	        	<a href="{UpdateJobLog/Job/JobDiagnostics}">diagnostics</a>
   	        	</td>
	       	</xsl:if>
			</tr>
			</table>
            <table cellpadding="10" frame="box" bgcolor="#FFFFFF" align="center">
            <thead>
 			<th bgcolor="#eaeaea">component</th>
            <th bgcolor="#eaeaea">type</th>
            <th bgcolor="#eaeaea">old version</th>
            <th bgcolor="#eaeaea">new version</th>
            <th bgcolor="#eaeaea">start time</th>
            <th bgcolor="#eaeaea">end time</th>
            <th bgcolor="#eaeaea">result</th>
             </thead>
            <xsl:for-each select="UpdateJobLog/Job/JobComponent">
            <tr><td>
            <xsl:value-of select="Name"/>
            </td><td>
            <xsl:value-of select="TypeName"/>
            </td><td>
            <xsl:value-of select="VersionOld"/>
            </td><td>
            <xsl:value-of select="VersionNew"/>
            </td><td>
            <xsl:value-of select="FlashStart"/>
            </td><td>
            <xsl:value-of select="FlashEnd"/>
            </td><td>
            <xsl:value-of select="Result"/>
            </td></tr>
            </xsl:for-each>
            </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
